> For the complete documentation index, see [llms.txt](https://docs.salesmap.kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.salesmap.kr/developers/api-reference/crm/custom-object/activity.md).

# 커스텀 오브젝트 액티비티 목록 조회

<mark style="color:green;">`GET`</mark> `/v2/custom-object/activity`

커스텀 오브젝트 레코드의 액티비티 목록을 조회합니다. `types`로 활동 유형을 쉼표로 구분해 필터링할 수 있고, `startDate`와 `endDate`로 활동 발생 기간을 제한할 수 있습니다.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Query parameters**

| Name             | Type   | Description                                                                             |
| ---------------- | ------ | --------------------------------------------------------------------------------------- |
| `cursor`         | string | 페이지네이션을 위한 커서                                                                           |
| `customObjectId` | string | 액티비티를 조회하려는 커스텀 오브젝트 레코드의 id                                                            |
| `types`          | string | 조회할 활동 유형 목록. 여러 값은 쉼표로 구분합니다. 예: `MemoCreate,RecordingCreate`                          |
| `startDate`      | string | 조회 시작일. `YYYY-MM-DD` 또는 offset이 포함된 ISO date-time을 지원합니다. 날짜만 입력하면 KST 일 시작 시각으로 해석합니다. |
| `endDate`        | string | 조회 종료일. `YYYY-MM-DD` 또는 offset이 포함된 ISO date-time을 지원합니다. 날짜만 입력하면 KST 일 종료 시각으로 해석합니다. |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "data": {
        "customObjectActivityList": [
            {
                "id": "<customObjectActivityId>",
                "type": "<type>",
                "date": "2024-03-29T11:16:26.207Z",
                "customObjectId": "<customObjectId>",
                "meetingId": "<meetingId>",
                "kakaoAlimtalkId": "<kakaoAlimtalkId>",
                "emailId": "<emailId>",
                "messageId": "<messageId>",
                "threadId": "<threadId>",
                "recordingId": "<recordingId>"
            }
        ],
        "nextCursor": "cursor"
    }
}
```

{% endtab %}

{% tab title="40x" %}

```json
{
    "success": false,
    "message": "에러 메세지"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.salesmap.kr/developers/api-reference/crm/custom-object/activity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
